#!/usr/bin/env bash

# SPDX-FileCopyrightText: 2023-2024 Helmholtz-Zentrum hereon GmbH, Deutsches Klimarechenzentrum GmbH
#
# SPDX-License-Identifier: MIT

_common_setup() {
    load 'test_helper/bats-support/load'
    load 'test_helper/bats-assert/load'
    load 'test_helper/template-helpers/load'
    # get the containing directory of this file
    # use $BATS_TEST_FILENAME instead of ${BASH_SOURCE[0]} or $0,
    # as those will point to the bats executable's location or the preprocessed file respectively
    PROJECT_ROOT="$( cd "$( dirname "$BATS_TEST_FILENAME" )/.." >/dev/null 2>&1 && pwd )"
    PACKAGE_FOLDER="${BATS_TEST_TMPDIR}/my-freva-plugin"
}
