# SPDX-FileCopyrightText: 2023 Helmholtz-Zentrum hereon GmbH
#
# SPDX-License-Identifier: MIT

setup() {
    load 'test_helper/common-setup'
    _common_setup
}

@test "with reuse" {
    create_template '{use_reuse: "yes"}'
    assert [ -e "${PACKAGE_FOLDER}/LICENSES/BSD-3-Clause.txt" ]
}



@test "without reuse" {
    create_template '{use_reuse: "no"}'
    assert [ ! -e "${PACKAGE_FOLDER}/LICENSES/BSD-3-Clause.txt" ]
}
